#pragma once
#ifndef PLANETARY_NEBULAE_H
#define PLANETARY_NEBULAE_H

#include "planetary_nebulae.def"

#undef X
#define X(CODE) INTERNAL_PLANETARY_NEBULAE_##CODE,
enum { INTERNAL_PLANETARY_NEBULAE_STATES_LIST };
#undef X

#define X(CODE) PN_HALL_FADING_TIME_ALGORITHM_##CODE,
enum { PN_HALL_FADING_TIME_ALGORITHMS_LIST };
#undef X

#define X(CODE) SMALL_ENVELOPE_METHOD_##CODE,
enum { SMALL_ENVELOPE_METHODS_LIST };
#undef X




#endif // PLANETARY_NEBULAE_H
